module Rubybody
    
  class Person

    attr_accessor :weight_in_kg, :height_in_cm, :age, :gender, :activity, :bodyfat, :waist

    # All units are in the SI standard
    def initialize(weight_in_kg, height_in_cm, age, gender, activity=:sedentary, bodyfat=0, waist=0)
      self.weight_in_kg = weight_in_kg
      self.height_in_cm = height_in_cm
      self.age = age
      self.gender = gender
      self.activity = activity
      self.bodyfat = bodyfat
      self.waist = waist
    end

    def bmr(method=:mifflin_st_jeor)
      Rubybody::bmr(weight_in_kg, height_in_cm, age, gender, method)
    end

    def tdee
      Rubybody::tdee(bmr, activity)
    end

  end
  
end